{ config, values, ... }:
{
  services.nginx = {
    enable = true;

    clientMaxBodySize = "100m";

    recommendedProxySettings = true;
    recommendedTlsSettings = true;
    recommendedGzipSettings = true;
    recommendedOptimisation = true;

    virtualHosts."kinealbrigtsen.no".default = true;
  };

  networking.firewall.allowedTCPPorts = [ 80 443 ];
}
