{ config, pkgs, ... }:

{
  services.prometheus.exporters.snmp = {
    enable = true;
    configurationPath = ./snmp-exporter-conf.yml;
    # snmp.yml is built from
    # https://github.com/prometheus/snmp_exporter/blob/main/snmp.yml
    # and
    # https://global.download.synology.com/download/Document/Software/DeveloperGuide/Firmware/DSM/All/enu/Synology_DiskStation_MIB_Guide.pdf
  };
}
